Bug 1571599 - wrong udev rule: specified group 'plugdev' unknown
Summary: wrong udev rule: specified group 'plugdev' unknown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openocd
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Kastner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 08:04 UTC by Benjamin Tissoires
Modified: 2019-01-09 12:54 UTC (History)
6 users (show)

Fixed In Version: openocd-0.10.0-9.fc29 openocd-0.10.0-9.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-01 15:06:16 UTC
Type: Bug


Attachments (Terms of Use)
Patch .spec %install section with updated sed fix to rules file (1.21 KB, patch)
2018-10-22 00:17 UTC, John Friend
no flags Details | Diff

Description Benjamin Tissoires 2018-04-25 08:04:35 UTC
The openocd rpm installs the udev rule 60-openocd.rules (http://repo.or.cz/openocd.git/blob/HEAD:/contrib/60-openocd.rules)

This rule tries to map the hidraw devices to the plugdev group, which doesn't exists under Fedora. This is an issue each time we change a rule, as udev will time out 30 seconds when a new hidraw device appears.

Looking at other bug reports (bug #859244 and https://bugs.archlinux.org/task/35602) it seems the plugdev group is ubuntu specific and we (fedora) should amend the rule to not reference it.

Comment 1 John Friend 2018-10-21 23:19:37 UTC
Bump. I just hit this problem. This issue has been here six months without a response.

Comment 2 John Friend 2018-10-22 00:17:05 UTC
Created attachment 1496265 [details]
Patch .spec %install section with updated sed fix to rules file

Comment 3 John Friend 2018-10-22 00:18:33 UTC
This is due to regex rot, the original fix was

commit 2224a3c9e025a76ba40fec655472885b4e7d84b2 (origin/f23)
Author: Markus Mayer <lotharlutz@gmx.de>
Date:   Fri May 13 21:29:56 2016 +0200

    Fix wrong udev rules bz#1177996

but the sed pattern in %install no longer matches the upstream file.

patch attached to BZ.

Comment 4 Fedora Update System 2018-10-22 09:26:02 UTC
openocd-0.10.0-9.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c7be67c7fe

Comment 5 Fedora Update System 2018-10-22 09:26:30 UTC
openocd-0.10.0-9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7100b888ce

Comment 6 Fedora Update System 2018-10-22 19:24:01 UTC
openocd-0.10.0-9.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c7be67c7fe

Comment 7 Fedora Update System 2018-10-22 23:54:35 UTC
openocd-0.10.0-9.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7100b888ce

Comment 8 John Friend 2018-11-01 09:02:37 UTC
Bump. This is ready to be pushed to updates.

Comment 9 Fedora Update System 2018-11-01 15:06:16 UTC
openocd-0.10.0-9.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 John Friend 2018-11-02 04:48:24 UTC
Bump. The fc28 push seems to have stalled.

Comment 11 Fedora Update System 2018-11-02 19:21:58 UTC
openocd-0.10.0-9.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.